View Issue Details

IDProjectCategoryView StatusLast Update
0023640mantisbtcode cleanuppublic2017-12-04 02:17
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023640: Usage of deprecated each() function
Description

each() has been deprecated as of PHP 7.2.0 [1]

[1] http://php.net/manual/en/function.each.php

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 053dd6be

2017-11-15 17:08:19

atrol

Details Diff
Remove usage of deprecated each() function

each() has been deprecated as of PHP 7.2.0 [1]

[1] http://php.net/manual/en/function.each.php

Fixes 0023640
mod - admin/check/check_php_inc.php Diff File
mod - core/config_api.php Diff File
mod - core/html_api.php Diff File
mod - core/print_api.php Diff File
mod - my_view_page.php Diff File

Issue History

Date Modified Username Field Change
2017-11-15 17:16 atrol New Issue
2017-11-15 17:16 atrol Status new => assigned
2017-11-15 17:16 atrol Assigned To => atrol
2017-11-15 17:21 atrol Target Version => 2.9.0
2017-11-16 10:24 atrol Changeset attached => MantisBT master 053dd6be
2017-11-16 10:24 atrol Status assigned => resolved
2017-11-16 10:24 atrol Resolution open => fixed
2017-11-16 10:24 atrol Fixed in Version => 2.9.0
2017-12-04 02:17 vboctor Status resolved => closed